package com.mx.dla.dda.contrato.generales.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class ApartadoDTO extends BaseDTO{

	private static final long serialVersionUID = 3829121922814519697L;
	private Long    idApartado;
	private String  descripcion;
	private String  idSap;
	private String  amortizable;
	
	public ApartadoDTO() {	}
	
	public ApartadoDTO(Long idApartado, String descripcion) {
	
		this.idApartado = idApartado;
		this.descripcion = descripcion;	
	}
		
	public ApartadoDTO(String descripcion, String amortizable) {		
		this.descripcion = descripcion;
		this.amortizable = amortizable;
	}
		
	public ApartadoDTO(Long idApartado, String descripcion, String amortizable) {
		super();
		this.idApartado = idApartado;
		this.descripcion = descripcion;
		this.amortizable = amortizable;
	}

	public ApartadoDTO(String descripcion) {			
		this.descripcion = descripcion;		
	}
	
	public Long getIdApartado() {
		return idApartado;
	}

	public void setIdApartado(Long idApartado) {
		this.idApartado = idApartado;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getIdSap() {
		return idSap;
	}

	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}

	public String getAmortizable() {
		return amortizable;
	}

	public void setAmortizable(String amortizable) {
		this.amortizable = amortizable;
	}
	
}
